@import '../../style/base/_variables';
@import '../../style/base/_mixins';

.PopUp {
  position: fixed;
  left: $gap-lg;
  bottom: -50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 310px;
  min-height: 50px;
  padding-left: 16px;
  padding-right: 16px;
  opacity: 0;
  background-color: $color-purple-02;
  border-radius: 5px;
  box-shadow: 0 2px 10px 5px rgba(0, 0, 0, 0.2);
  pointer-events: none;
  transition: opacity 300ms ease-in-out, bottom 300ms ease-in-out;
  &.active {
    bottom: $gap-lg;
    opacity: 1;
    pointer-events: auto;
    transition: opacity 300ms ease-in-out, bottom 300ms ease-in-out;
  }
  &__message {
    flex: 1;
    &.content {
      color: $color-white;
    }
  }
  .btn {
    min-width: 80px;
    padding-left: 0;
    padding-right: 0;
    border: 0;
  }
}